
.cart {
    display: flex;
    row-gap: rem(24);
    flex-direction: column;

    &__content {
        border-radius: rem(4);
        border: 1px solid var(--gray-10);
        background-color: var(--gray-5);
    }

    &__header {
        height: rem(44);
        padding: rem(8) rem(14);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__list {
        background-color: white;
        border-radius: 0 0 rem(4) rem(4);
        border-top: 1px solid var(--gray-10);
    }

    &__float {
        left: 0;
        right: 0;
        bottom: rem(78);
        z-index: 200;
        position: fixed;
        text-align: center;

        &.cart-float-hide {
            opacity: 0;
            visibility: hidden;
        }

        .btn-primary:disabled {
            background-color: var(--gray-5) !important;
        }
    }

    &__box {
        padding: rem(16);
        border-radius: rem(4);
        border: 1px solid var(--gray-10);

        textarea {
            height: rem(72);
        }
    }

    .field {

        textarea {
            min-height: rem(72);
        }
    }

    @include media-breakpoint-up(md) {
        flex-direction: row;
        column-gap: rem(28);

        &__main {
            flex-grow: 1;
        }

        &__sidebar {
            width: rem(250);
            flex-shrink: 0;
        }

        &__float {
            display: none;
        }
    }

    @include media-breakpoint-up(lg) {

        &__box {
            padding: rem(28);
        }
    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {}

}

.cart-item {
    padding: rem(16);
    font-size: rem(13);
    line-height: rem(20);
    position: relative;
    background-color: white;
    box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0);
    display: flex;
    row-gap: rem(14);
    flex-direction: column;
    transition: var(--transition-time);

    &:not(:last-child) {
        border-bottom: 1px solid var(--gray-10);
    }

    &:last-child {
        border-radius: 0 0 rem(4) rem(4);
    }

    &__check {
        z-index: 5;
        top: rem(16);
        left: rem(16);
        position: absolute;
    }

    &__remove {
        z-index: 5;
        top: rem(14);
        right: rem(14);
        position: absolute;
    }

    &__header {
        padding-left: rem(30);
        display: flex;
        row-gap: rem(10);
        flex-direction: column;
    }

    &__title {
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(20);
        padding-right: rem(32);
        color: var(--gray-80);

        a {
            color: var(--gray-80);
            text-decoration: none;

            &:hover {
                color: var(--gray-80);
                text-decoration: none;
            }
        }
    }

    &__heading {
        color: var(--gray-50);
        display: flex;
        column-gap: rem(16);
        align-items: center;
    }

    &__article {
        white-space: nowrap;
    }

    &__country {
        display: none;
        white-space: nowrap;
    }

    &__adding {
        display: flex;
        column-gap: rem(16);
        align-items: center;
    }

    &__content {
        display: flex;
        flex-wrap: wrap;
        row-gap: rem(14);
        column-gap: rem(14);
    }

    &__media {
        font-size: 0;
        line-height: 0;
        width: rem(80);
        min-height: rem(80);
        flex-shrink: 0;
    }

    &__image {
        display: block;
        width: rem(80);
        height: rem(80);
    }

    &__info {
        width: calc(100% - 100px);
    }

    &__quantity {
        width: rem(80);
        flex-shrink: 0;
    }

    &__price {
        width: calc(100% - 100px);
        display: flex;
        column-gap: rem(8);
        white-space: none;
        align-items: center;

        &-current {
            color: var(--gray-80);
            font-weight: 600;
            font-size: rem(15);
            line-height: rem(24);
        }

        &-old {
            color: var(--gray-50);
            text-decoration: line-through;
            font-size: rem(13);
            line-height: rem(20);
        }
    }

    &__counter {
        width: 100%;
        height: 32px;
        color: var(--gray-50);
        font-weight: 600;
        font-size: 11px;
        line-height: 12px;
        border-radius: 20px;
        border: 1px solid var(--gray-10);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .item__info {
        margin-bottom: 0 !important;
    }

    @include media-breakpoint-up(lg) {
        row-gap: rem(16);
        padding: rem(14) rem(14) rem(14) rem(48);

        &__header {
            padding-left: 0;
            row-gap: rem(8);
        }

        &__check {
            left: rem(14);
            top: calc(50% - 9px);
        }

        &__adding {
            z-index: 5;
            right: rem(14);
            bottom: rem(14);
            position: absolute;
        }

        &__heading {
            column-gap: rem(32);
        }

        .availability-status {
            order: 1;
        }

        &__article {
            order: 2;
        }

        &__country {
            order: 3;
            display: block;
        }

        &__content {
            align-items: flex-start;
            flex-wrap: nowrap;
            column-gap: rem(28);
            justify-content: space-between;
        }

        &__info {
            width: inherit;
            flex-grow: 1;
        }

        &__quantity {
            width: rem(88);
            flex-shrink: 0;
            margin-left: rem(8);
        }

        &__price {
            width: rem(120);
            flex-shrink: 0;
            row-gap: rem(4);
            flex-direction: column;
            align-items: flex-end;
        }
    }

    @include media-breakpoint-up(xl) {

        &:hover {
            z-index: 10;
            box-shadow: var(--shadow);
            transition: var(--transition-time);
        }
    }
}

.cart-order {
    padding: rem(14);
    color: var(--gray-80);
    border-radius: rem(4);
    background-color: var(--gray-5);
    border: 1px solid var(--gray-10);
    display: flex;
    row-gap: rem(14);
    flex-direction: column;

    &__divider {
        border-bottom: 1px solid var(--gray-10);
    }

    &__content {
        font-size: rem(13);
        line-height: rem(20);
        display: flex;
        row-gap: rem(4);
        flex-direction: column;
    }

    &__summary {
        font-weight: 600;
        font-size: rem(15);
        line-height: rem(24);
        white-space: nowrap;
        display: flex;
        column-gap: rem(20);
        align-items: center;
        justify-content: space-between;
    }

    &__send {
        height: rem(42);
    }

    &__button {
        text-align: center;
    }

    .info-block {
        min-height: rem(32);
        font-size: rem(13);
        line-height: rem(20);
        column-gap: rem(10);

        i {
            height: rem(20);
        }
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {}
    @include media-breakpoint-up(xxl) {}

}

.cart-checkout {
    border-radius: rem(4);
    border: 1px solid var(--gray-10);

    &__header {
        height: rem(48);
        font-size: rem(13);
        line-height: rem(20);
        padding: rem(8) rem(14);
        background-color: var(--gray-5);
        border-radius: rem(4) rem(4) 0 0;
        border-bottom: 1px solid var(--gray-10);
        display: flex;
        column-gap: rem(14);
        align-items: center;
        justify-content: space-between;
    }

    &__title {

    }

    &__main {
        padding: rem(14);
    }

    &__footer {
        padding: rem(14);
        border-radius: 0 0 rem(4) rem(4);
        border-top: 1px solid var(--gray-10);
        display: flex;
        row-gap: rem(14);
        flex-direction: column;
    }

    &__list {

    }

    &__item {
        font-size: rem(12);
        line-height: rem(16);
        padding: rem(14) 0;
        border-top: 1px solid var(--gray-10);
        display: flex;
        row-gap: rem(8);
        flex-direction: column;

        &:first-child {
            padding-top: 0;
            border-top: 0;
        }
    }

    &__title {
        font-weight: 600;
        color: var(--gray-60);

        a {
            color: var(--gray-60);
            text-decoration: none;

            &:hover {
                color: var(--gray-60);
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding-right: rem(6);
        }

        &__scroll {
            max-height: rem(330);

            &.simplebar-scrollable-y {
                padding-right: rem(16);
            }
        }

        &__list {
            padding-right: rem(8);
        }
    }
}

.cart-success {
    color: #666;
    padding: rem(16);
    font-size: rem(12);
    line-height: rem(16);
    margin-bottom: rem(16);
    border-radius: rem(4);
    border: 1px solid var(--gray-10);
    display: flex;
    column-gap: rem(8);
    align-items: center;
    justify-content: space-between;

    &__icon {
        width: rem(32);
        height: rem(32);
        display: block;
        flex-shrink: 0;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(13);
        line-height: rem(20);
        margin-bottom: rem(28);
    }

    @include media-breakpoint-up(lg) {
        padding: rem(28);
        column-gap: rem(14);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(13);
        line-height: rem(20);
    }

    @include media-breakpoint-up(xxl) {
    }
}

[data-cart-remove-selected] {
    opacity: 0;
    visibility: hidden;
}

.group-checked {

    [data-cart-remove-selected] {
        opacity: 1;
        visibility: visible;
    }
}

.cart-note {
    color: #808080;
    font-size: rem(14);
    line-height: rem(20);
    padding-bottom: rem(24);
}
